Bug 255812 - security/sudo: Update to 1.9.7
Summary: security/sudo: Update to 1.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Cy Schubert
URL: https://www.sudo.ws/stable.html
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-12 14:06 UTC by Yasuhiro Kimura
Modified: 2021-06-03 14:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments
Patch file (3.05 KB, patch)
2021-05-12 14:06 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-12 14:06:15 UTC
Created attachment 224871 [details]
Patch file

Update to 1.9.7.

Change Log: https://www.sudo.ws/stable.html
Comment 1 Cy Schubert freebsd_committer 2021-05-12 14:35:33 UTC
This should really be a phabricator review instead of a PR.
Comment 2 Cy Schubert freebsd_committer 2021-05-18 19:34:18 UTC
Hi garga@, Do you mind if I commit this?
Comment 3 Renato Botelho freebsd_committer 2021-05-18 19:51:34 UTC
(In reply to Cy Schubert from comment #2)
Please do it.  I'm really busy and will not be able to check this until next week.
Comment 4 Cy Schubert freebsd_committer 2021-05-18 20:00:30 UTC
The names of the new patch file and the renamed patch file have been changed to conform to standard. The standard is, one underscore for each slash in the pathname and two underscores for a single underscore in a filename. Other than that the patch looks good.
Comment 5 commit-hook freebsd_committer 2021-05-18 20:07:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=72d1eb161b86e663242d192171078d6babc1afdf

commit 72d1eb161b86e663242d192171078d6babc1afdf
Author:     Cy Schubert <cy@FreeBSD.org>
AuthorDate: 2021-05-18 20:01:14 +0000
Commit:     Cy Schubert <cy@FreeBSD.org>
CommitDate: 2021-05-18 20:07:09 +0000

    security/sudo: update to 1.9.7

    Among other changes this release fixes -fcommon errors. A complete list
    of changes can be found at https://www.sudo.ws/stable.html/

    PR:             255812
    Submitted by:   Yasuhiro Kimura <yasu@utahime.org> (mostly)
    Reported by:    Yasuhiro Kimura <yasu@utahime.org>
    Tested by:      cy
    Approved by:    garga (maintainer)
    MFH:            2021Q2

 security/sudo/Makefile                             |  2 +-
 security/sudo/distinfo                             |  6 +++---
 .../sudo/files/patch-lib_iolog_hostcheck.c (new)   | 25 ++++++++++++++++++++++
 .../{patch-install-sh => patch-scripts_install-sh} |  4 ++--
 4 files changed, 31 insertions(+), 6 deletions(-)
Comment 6 Yasuhiro Kimura 2021-06-01 13:34:50 UTC
Committed as ports 72d1eb161b86.
Comment 7 commit-hook freebsd_committer 2021-06-03 14:00:15 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0591d3d3c3b0743d82e52ffbb489880e069916f8

commit 0591d3d3c3b0743d82e52ffbb489880e069916f8
Author:     Cy Schubert <cy@FreeBSD.org>
AuthorDate: 2021-05-18 20:01:14 +0000
Commit:     Cy Schubert <cy@FreeBSD.org>
CommitDate: 2021-06-03 13:59:10 +0000

    security/sudo: update to 1.9.7

    Among other changes this release fixes -fcommon errors. A complete list
    of changes can be found at https://www.sudo.ws/stable.html/

    PR:             255812
    Submitted by:   Yasuhiro Kimura <yasu@utahime.org> (mostly)
    Reported by:    Yasuhiro Kimura <yasu@utahime.org>
    Tested by:      cy
    Approved by:    garga (maintainer)
    MFH:            2021Q2

    (cherry picked from commit 72d1eb161b86e663242d192171078d6babc1afdf)

 security/sudo/Makefile                             |  2 +-
 security/sudo/distinfo                             |  6 +++---
 .../sudo/files/patch-lib_iolog_hostcheck.c (new)   | 25 ++++++++++++++++++++++
 .../{patch-install-sh => patch-scripts_install-sh} |  4 ++--
 4 files changed, 31 insertions(+), 6 deletions(-)